# Poco

# template < class TKey, class TValue >

# class LRUCache

Library: Foundation
Package: Cache
Header: Poco/LRUCache.h

## Description

An LRUCache implements Least Recently Used caching. The default size for a cache is 1024 entries

## Inheritance

Direct Base Classes: AbstractCache < TKey, TValue, LRUStrategy < TKey, TValue > >

All Base Classes: AbstractCache < TKey, TValue, LRUStrategy < TKey, TValue > >

## Constructors

### LRUCache

LRUCache(
long size = 1024
);

## Destructor

### ~LRUCache

~LRUCache();